%define upstream_name    Complete-Fish
%define upstream_version 0.060

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Completion module for fish shell
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Bash) >= 0.333.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
fish allows completion of option arguments to come from an external
command, e.g.:

 % complete -c deluser -l user -d Username -a "(cat /etc/passwd|cut -d : -f 1)"

The command is supposed to return completion entries one in a separate
line. Description for each entry can be added, prefixed with a tab
character. The provided function 'format_completion()' accept a completion
answer structure and format it for fish. Example:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.60.0-4.mga10
+ Revision: 2205850
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.60.0-3.mga9
+ Revision: 1812325
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 0.60.0-2.mga8
+ Revision: 1546064
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 0.60.0-1.mga8
+ Revision: 1485842
- update to 0.060

* Tue Dec 04 2018 shlomif <shlomif> 0.50.0-1.mga7
+ Revision: 1338265
- cpan2dist


* Tue Dec 04 2018 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
